curl https://api.growthbook.io/api/v1/segments/seg_123abc \
-u secret_abc123DEF456:{
"segment": {
"id": "<string>",
"owner": "<unknown>",
"datasourceId": "<string>",
"identifierType": "<string>",
"name": "<string>",
"dateCreated": "<string>",
"dateUpdated": "<string>",
"description": "<string>",
"query": "<string>",
"managedBy": "",
"type": "SQL",
"factTableId": "<string>",
"filters": [
"<string>"
],
"projects": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The id of the requested resource
Success
Show child attributes
curl https://api.growthbook.io/api/v1/segments/seg_123abc \
-u secret_abc123DEF456:{
"segment": {
"id": "<string>",
"owner": "<unknown>",
"datasourceId": "<string>",
"identifierType": "<string>",
"name": "<string>",
"dateCreated": "<string>",
"dateUpdated": "<string>",
"description": "<string>",
"query": "<string>",
"managedBy": "",
"type": "SQL",
"factTableId": "<string>",
"filters": [
"<string>"
],
"projects": [
"<string>"
]
}
}